<?php

namespace Drupal\solrlog;

use Psr\Log\LoggerInterface;

/**
 * Logger that processes log messages in a bulk.
 *
 * Normally, messages are dumped in the end of the request (react on
 * Symfony\Component\HttpKernel\KernelEvents::TERMINATE).
 */
interface DelayedLoggerInterface extends LoggerInterface {

  /**
   * Dump the log que.
   */
  public function dump() : void;
}
